
Redmine - Feature #3448

Add issue watcher that isn't a maintainer

2009-06-04 19:14 - W Snyder

Status: Closed Start date: 2009-06-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

My users often file forum threads etc instead of issue reports.

I then file an issue, but need to add them as a watcher.

However the issue add-watcher doesn't list normal users (as of svn 2669.).  I believe it should, perhaps with maintainers first then

normal users.

Related issues:

Is duplicate of Redmine - Feature #5159: Ability to add Non-Member watchers t... Closed 2010-03-23

History

#1 - 2009-06-04 20:15 - Adam Piotr Żochowski

I have 60 thousand users.  I can not have a simple dropdown of all potential users .

Maybe instead a manager should have a button on a thread ''Make this message thread into a trackable issue'', and preserve the creator (original

message), while yourself have it as second message (the update, and expanding on why created from forum into issue).

I think this website, redmine.org itself, has also a lot of users and loading all of them to a dropdown is wasteful.

Kind regards

Adam Żochowski

#2 - 2009-06-04 21:01 - W Snyder

Converting a message to an issue would be really nice, and I'd use it a lot.  It doesn't 100% solve the problem though as I still get some email bug

reports.

Alternatively, maybe a text box for the user name to add?  It would be nice too to allow email addresses, but obviously that would be a lot more work. 

(This would let email issues to be entered into the database and the person replied to directly, without having to create an account for them.)

#3 - 2009-06-07 20:57 - Eric Davis

Adam Piotr Żochowski wrote:

I think this website, redmine.org itself, has also a lot of users and loading all of them to a dropdown is wasteful.

 +1, I've seen reports of a large select fields (10,000s items) crash browsers.

Here's another suggestion which I've talked about with other people.  Add the ability to open an issue "As someone".  Example:

Eric Davis (Manager) opens a new issue as W Snyder (non-member).  Now since W Synder is the "author", issue updates will be sent to that user's

email address.

#4 - 2009-06-08 04:21 - W Snyder

+1: Add the ability to open an issue "As someone".

I would like that too, but note it needs the same select-from-large-list solution.

#5 - 2009-06-10 11:31 - Ammler _

Why not a "simple" textfield, where you can add the user to the watchlist?
#6 - 2012-06-27 00:01 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Same as #5159.
